# coding: utf-8

"""
    FAIR Evaluator API

    The FAIR Evaluator - automated testing of Web resources for their compliance with the FAIR Metrics  # noqa: E501

    OpenAPI spec version: 0.3.0
    Contact: mark.wilkinson@upm.es
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import re  # noqa: F401

# python 2 and python 3 compatibility library
import six

from fairevaluator.api_client import ApiClient


class RetrieveAnExistingMaturityLevelEvaluationApi(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client

    def evaluations_evaluationid_result_get(self, evaluationid, **kwargs):  # noqa: E501
        """Retrieve the result of an existing FAIR Evaluation  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.evaluations_evaluationid_result_get(evaluationid, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str evaluationid: evaluation id (the Evaluator's internal id for this evaluation) (required)
        :return: EvaluationResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.evaluations_evaluationid_result_get_with_http_info(evaluationid, **kwargs)  # noqa: E501
        else:
            (data) = self.evaluations_evaluationid_result_get_with_http_info(evaluationid, **kwargs)  # noqa: E501
            return data

    def evaluations_evaluationid_result_get_with_http_info(self, evaluationid, **kwargs):  # noqa: E501
        """Retrieve the result of an existing FAIR Evaluation  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.evaluations_evaluationid_result_get_with_http_info(evaluationid, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str evaluationid: evaluation id (the Evaluator's internal id for this evaluation) (required)
        :return: EvaluationResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['evaluationid']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method evaluations_evaluationid_result_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'evaluationid' is set
        if ('evaluationid' not in params or
                params['evaluationid'] is None):
            raise ValueError("Missing the required parameter `evaluationid` when calling `evaluations_evaluationid_result_get`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'evaluationid' in params:
            path_params['evaluationid'] = params['evaluationid']  # noqa: E501

        query_params = []

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/evaluations/{evaluationid}/result', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='EvaluationResult',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)
